!
! Copyright (C) 1991-2004  ; All Rights Reserved ; Colorado State University
! Colorado State University Research Foundation ; ATMET, LLC
! 
! This file is free software; you can redistribute it and/or modify it under the
! terms of the GNU General Public License as published by the Free Software 
! Foundation; either version 2 of the License, or (at your option) any later version.
! 
! This software is distributed in the hope that it will be useful, but WITHOUT ANY 
! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
! PARTICULAR PURPOSE.  See the GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License along with this 
! code; if not, write to the Free Software Foundation, Inc., 
! 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
!======================================================================================

Module mem_all

use mem_basic
use mem_cuparm
use mem_grid
use mem_leaf
use mem_sib
use mem_micro
use mem_radiate
use mem_tracer
use mem_scratch
use mem_tend
use mem_turb
use mem_varinit
use mem_nestb
use mem_oda

use var_tables
use io_params
use micphys
use ref_sounding

implicit none

END MODULE mem_all
